Skip to main content
GET
Get Invoices

Authorizations

Authorization
string
header
required

You can retrieve your API key from your dashboard under Account > Developers.

Path Parameters

shopId
integer
required

The shop ID.

Body

application/json
page
integer | null

Page number. Must be at least 1.

Example:

1

perPage
integer | null

Items per page, 1-100. Must be at least 1. Must not be greater than 100.

Example:

null

orderColumn
enum<string> | null
Available options:
id,
price_usd,
paid_usd,
created_at,
completed_at
Example:

null

orderDirection
enum<string> | null
Available options:
asc,
desc
Example:

null

id
string | null

Filter by invoice ID or unique ID.

Example:

null

statuses
enum<string>[]
Available options:
pending,
confirming,
partially_completed,
completed,
cancelled,
expired,
failed,
refunded,
charged_back
Example:

null

underpaid
boolean | null

Only pending invoices that received part of the payment.

Example:

null

disputed
boolean | null

Only invoices with an open payment dispute. Requires the Scale plan.

Example:

null

late_payment
boolean | null

Only invoices with a late payment waiting to be delivered, refunded or dismissed.

Example:

null

fulfillment_statuses
enum<string>[]
Available options:
unfulfilled,
processing,
shipped,
delivered
Example:

null

email
string | null

Filter by customer email.

Example:

null

gateways
object | null

Deprecated. Use payment_method_ids.

Example:

null

payment_method_ids
object | null

Filter by payment method IDs.

Example:

null

created_at_start
string | null

Must be a valid date.

Example:

null

created_at_end
string | null

Must be a valid date. Must be a date after created_at_start.

Example:

null

completed_at_start
string | null

Must be a valid date.

Example:

null

completed_at_end
string | null

Must be a valid date. Must be a date after completed_at_start.

Example:

null

product_name
string | null
Example:

null

variant_name
string | null
Example:

null

coupon_code
string | null
Example:

null

ip
string | null
Example:

null

utm_source
string | null

Filter by exact utm_source.

Example:

null

utm_medium
string | null

Filter by exact utm_medium.

Example:

null

utm_campaign
string | null

Filter by exact utm_campaign.

Example:

null

utm_term
string | null

Filter by exact utm_term.

Example:

null

utm_content
string | null

Filter by exact utm_content.

Example:

null

referrer_host
string | null

Filter by exact referrer host.

Example:

null

discord_id
string | null
Example:

null

discord_username
string | null
Example:

null

deliverable
string | null

Filter by delivered content.

Example:

null

custom_field
string | null

Filter by custom field value.

Example:

null

archived
string | null

Only archived invoices.

Example:

null

manual
string | null

Only manual invoices.

Example:

null

external_id_type
string | null
Example:

null

external_id_value
string | null
Example:

null

cashapp_note
string | null
Example:

null

paypalff_note
string | null
Example:

null

venmo_note
string | null
Example:

null

zelle_note
string | null
Example:

null

skrillp2p_note
string | null
Example:

null

wise_note
string | null
Example:

null

customer_id
string | null

Filter by customer ID.

Example:

null

all
boolean | null

Include full invoice details in the list.

Example:

null

Response

200 - application/json
current_page
integer
Example:

1

data
object[]
Example:
first_page_url
string
Example:

"http://api.sellauth.test/v1/shops/1/invoices?page=1"

from
integer
Example:

1

last_page
integer
Example:

1

last_page_url
string
Example:

"http://api.sellauth.test/v1/shops/1/invoices?page=1"

Example:
next_page_url
string | null
Example:

null

path
string
Example:

"http://api.sellauth.test/v1/shops/1/invoices"

per_page
integer
Example:

20

prev_page_url
string | null
Example:

null

to
integer
Example:

3

total
integer
Example:

3